Перейти к содержанию

slovak

Дилеры
  • Публикаций

    9
  • Зарегистрирован

  • Посещение

  • Победитель дней

    1

slovak стал победителем дня 22 ноября 2013

slovak имел наиболее популярный контент!

Репутация

2 Обычный

Информация о slovak

  • Звание
    Новичок

Информация

  • Пол
    Мужчина
  1. Насколько я понял в журнале указаны такие типы прокладки кабелей: 1. От щита к щиту - отображаются в кабельном журнале по умолчанию. 2. От щита к распределительной коробке - создаем технологическое задание "распределительная коробка осветительная" или что-то в этом роде, задаем ей параметры. Устанавливаем её на план и запитываем. 3. От щита к розетке кондиционера - решается установкой на план не розетки, а "кондиционера" тоже созданного как технологическое задание. А розетку к нему можно приаттачить как доп. оборудование. Сам же кондиционер в спецификацию можно не выводить. Или как Вариант создать УГО для кондиционера в виде розетки.... В общем вариантов множество! В результате вполне возможно автоматом получить кабельный журнал, как Вы его представили в примере. Вот если бы потребовали кабельный журнал розеточной и осветительной сети выполненной одножильным проводом - это уже было бы некорректно. Если что не ясно - обращайтесь!
  2. Добрый день, уважаемое сообщество! В который раз попадаюсь на мысли о целесообразности создания возможности "затенить" область вокруг УГО, если оно располагается над трассой, но не имеет связи с ней. Тоесть сделать "разрыв" в трассе. На загруженных чертежах это весьма актуально. На практике это решается созданием прямоугольника с белой заливкой в расположением его между УГО и трассой, но если есть возможность сделать встроенную функцию, то я и другие пользователи будут только рады этому! С уважением, Словак Александр
  3. Уважаемое сообщество! Собственно написал скрипт, который рисует циклоиды: Dim oLine Dim oCircle Dim A(2, 2000) Dim NumberPoints Dim phi Dim alpha Dim pi Dim Count Dim Rb Dim Rm Dim k Count = 0 pi = 3.1415926 alpha = 0 Rb = 10 Rm = 2 NumberPoints = 360 k = Rb/Rm for phi = 0 to 2*pi step pi/180 Count = Count + 1 A(1, Count) = Rm*(k - 1)*(cos(phi) + cos((k - 1)*phi)/(k - 1)) A(2, Count) = Rm*(k - 1)*(sin(phi) - sin((k - 1)*phi)/(k - 1)) next for phi = 0 to 2*pi step pi/180 Count = Count + 1 A(1, Count) = (Rb + Rm)*cos(phi) - Rm*cos(alpha + ((Rb+Rm)/Rm)*phi) A(2, Count) = (Rb + Rm)*sin(phi) - Rm*sin(alpha + ((Rb+Rm)/Rm)*phi) next Set oCircle = ThisDrawing.ModelSpace.AddCircle(CStr(0)+","+CStr(0)+","+CStr(0), Rb) Set oCircle = ThisDrawing.ModelSpace.AddCircle(CStr(Rb + Rm)+","+CStr(0)+","+CStr(0), Rm) Set oCircle = ThisDrawing.ModelSpace.AddCircle(CStr(Rb - Rm)+","+CStr(0)+","+CStr(0), Rm) for i = 1 to Count - 1 Set oLine = ThisDrawing.ModelSpace.AddLine(CStr(A(1, i))+","+CStr(A(2, i))+","+CStr(0), CStr(A(1, i + 1))+","+CStr(A(2, i + 1))+","+CStr(0)) 'Set oLine = ThisDrawing.ModelSpace.AddLine(CStr(0)+","+CStr(0)+","+CStr(0), CStr(A(1, i))+","+CStr(A(2, i))+","+CStr(0)) 'Set oCircle = ThisDrawing.ModelSpace.AddCircle(CStr(A(1, i))+","+CStr(A(2, i))+","+CStr(0), 0.01) next Пытаюсь отрисовать их с помощью полилинии. Для проверки работоспособности пытался нарисовать полилинию: Dim varVertList(8) Dim objPLine varVertList(0) = 0 varVertList(1) = 0 varVertList(2) = 0 varVertList(3) = 10 varVertList(4) = 10 varVertList(5) = 0 varVertList(6) = 10 varVertList(7) = 50 varVertList(8) = 0 Set objPLine = ThisDrawing.ModelSpace.AddPolyline(varVertList) В результате получаю: err: "TeighaX" raised an exception "Параметр задан неверно." at line 17 pos 0 Set objPLine = ThisDrawing.ModelSpace.AddPolyline(varVertList) ^ В каком виде должны быть координаты вершин в массиве varVertList для отрисовки полилинии? Пробовал строкой как для отрезка ("x,y,z") - тоже не вышло. Заранее благодарю за ответ! К стати, в первом листинге не корректно отображается подсветка синтаксиса строки: 'Set oCircle = ThisDrawing.ModelSpace.AddCircle(CStr(A(1, i))+","+CStr(A(2, i))+","+CStr(0), 0.01) Строка начинается с " ' ", но не отображается зеленым.
  4. Хотелось бы услышать комментарии разработчиков по этому поводу.
  5. Чёт ничего не получается... Если не трудно, по пунктам..., для тупых http://forum.nanocad.ru/index.php?showtopic=4026 Вот здесь описано как внести свою команду, пункт меню, или панель инструментов. А если просто запустить - то пишем в командной строке JS, жмем Enter, в появившемся окошке находим свой файл.js Или же меню "Сервис" --> "Скрипты" --> "JScripts".
  6. Да, объявление количества обязательно.
  7. Ситуация На горизонте замельтешила возможность выполнить серию проектов молниезащиты и заземления, а у проектировщика под рукой лишь nanoCAD Электро. Что делать? Ничего страшного! Ну вот можно с помощью Excel , но не все об этом знают, и далеко не все это умеют. "Интересно, но бесполезно" - скажете вы, и будете правы. Однако действительно бывают случаи, когда оправданно и эффективно использовать программное обеспечения для задач не описанных в документации к нему. Лирическое отступление Идет "проектировщик" и видит, как другой дерево с бананами усиленно трясет, а они не падают. Тогда первый говорит: «Слушай, надо подумать: может палку взять в руки?». А тот ему отвечает: «Что тут думать, трясти надо!». Вариант "начертить все с нуля и считать вручную" мы не рассматриваем. Ниже будет описан путь второго, расторопного, может даже слегка ленивого проектировщика, который ищет оптимальные пути решения задачи и ценит свое личное время. Интересно? Продолжение статьи находится ЗДЕСЬ.
×
×
  • Создать...